python-blackbox (0.72) unstable; urgency=medium

  * VACANCIES-865 added user_ticket method support

 -- Mikhail Generalov <hallucinite@yandex-team.ru>  Mon, 03 Jan 2022 13:30:55 +0300

python-blackbox (0.71) unstable; urgency=medium

  * COMMONPY-293 add force tvm2 client initialization

 -- Vladimir Koljasinkij <smosker@yandex-team.ru>  Tue, 21 Apr 2021 22:00:37 +0300

python-blackbox (0.70) unstable; urgency=medium

  * PASSP-31314 tvmauth in tvm2 support

 -- Vladimir Koljasinkij <smosker@yandex-team.ru>  Mar, 22 Feb 2021 18:41:37 +0300

python-blackbox (0.64) unstable; urgency=medium

  * Add public_id support.

 -- Egor Karbutov <shikari@yandex-team.ru>  Mon, 07 Sep 2020 15:20:08 +0300

python-blackbox (0.63) unstable; urgency=medium

  * Make blackbox importable on invalid YENV_... env.

 -- Anton Vasilyev <hhell@yandex-team.ru>  Mon, 06 Apr 2020 19:44:08 +0300

python-blackbox (0.62) unstable; urgency=medium

  * PLUSBACKEND-174 Поддержка TVM2 в Qloud

 -- Islam Alibekov <everest@yandex-team.ru>  Thu, 04 Jul 2019 14:27:32 +0300

python-blackbox (0.61) unstable; urgency=medium

  * DOGMA-643 retry requests + catch error

 -- Vladimir Koljasinkij <smosker@yandex-team.ru>  Tue, 12 Feb 2019 18:41:37 +0300

python-blackbox (0.60) unstable; urgency=medium

  * RASPFRONT-6373 parse blackbox attributes

 -- Vladimir Koljasinkij <smosker@yandex-team.ru>  Tue, 11 Jan 2019 11:52:37 +0300

python-blackbox (0.59) unstable; urgency=medium

  * RASPFRONT-6373 parse user_ticket field

 -- Vladimir Koljasinkij <smosker@yandex-team.ru>  Tue, 25 Dec 2018 13:36:37 +0300

python-blackbox (0.58) unstable; urgency=medium

  * TOOLS-2225 Поддержка сервисных TVM2 тикетов при походе в BB

 -- Anton Chaporgin <chapson@yandex-team.ru>  Tue, 29 Nov 2017 12:48:37 +0300

python-blackbox (0.57) unstable; urgency=medium

  * Поддержка телефонных атрибутов

 -- Anton Chaporgin <chapson@yandex-team.ru>  Tue, 29 Nov 2017 12:48:37 +0300

python-blackbox (0.56) unstable; urgency=medium

  * FORMS-1581: Создать макрос для проставления значения необработанной кармы

 -- Kirill Dunaev <kdunaev@yandex-team.ru>  Tue, 17 Oct 2017 12:48:37 +0300

python-blackbox (0.55) unstable; urgency=low

  [ Vladimir Koljasinskij ]
  * Продолжаю работу над поддержкой python 3
  * поправил тесты
  * Внес правки по замечаниям
  * Внес правки по замечаниям
  * Внес правки

  [ Ruslan Alimbaev ]
  * Поддержка Python 3

 -- Vladimir Koljasinskij <smosker@yandex-team.ru>  Thu, 01 Jun 2017 15:03:56 +0300

python-blackbox (0.54) unstable; urgency=low

  [ Yuri Nediuzhin ]
  * Поддержка получения tvm-тикета

  [ Sergey Kovalev ]
  * Check password_verification_age is not None
  * Add password_verification_age to sessionid

  [ Nikolay Markov ]
  * Enable buffering in httplib

 -- Yuri Nediuzhin <yurgis@yandex-team.ru>  Wed, 24 May 2017 15:52:36 +0300

python-blackbox (0.53) unstable; urgency=low

  [ Sergey Kovalev ]
  * Fix warning about Element in boolean context

  [ alpinist ]
  * add connection_id

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 16 Dec 2015 15:08:36 +0300

python-blackbox (0.52) unstable; urgency=low

  [ Eugene Primako ]
  * Добавлен урл для YT-RC окружения

 -- Eugene Primako <eugene311@yandex-team.ru>  Thu, 23 Jul 2015 15:26:50 +0400

python-blackbox (0.51) unstable; urgency=low

  [ yaroman ]
  * Aliases field added

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 29 Jan 2015 19:08:03 +0300

python-blackbox (0.50) unstable; urgency=low

  [ Eugene Primako ]
  * Фикс версии в setup.py

  [ Dmitry Prokofyev ]
  * Доработал исключение. Убрал русский язык из сообщений.
  * Убрал старый стиль инстанцирования исключений.

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 26 Jan 2015 16:24:52 +0300

python-blackbox (0.49) unstable; urgency=low

  * Поддержка получения дефолтного аватара

 -- Eugene Primako <eugene311@yandex-team.ru>  Mon, 17 Nov 2014 14:14:57 +0400

python-blackbox (0.48) unstable; urgency=low

  [ Eugene Primako ]
  * Добавил url для RC-окружения

  [ Alex Koshelev ]
  * Портирование дебианизации под сборку для trusty

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 03 Sep 2014 16:20:44 +0400

python-blackbox (0.47) unstable; urgency=low

  * Выставлыем secure=False и new_sslsession=None для oauth сессии
  * Обновил .gitignore

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 17 Jul 2014 15:16:03 +0400

python-blackbox (0.46) unstable; urgency=low

  [ Alexey Mikerin ]
  * XmlBlackbox.sessionid(): добавил в результат значения secure и new_sslsession.
  * Сделал secure булевым по аналогии с json ответом

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 15 May 2014 17:21:16 +0400

python-blackbox (0.45) unstable; urgency=low

  * Мимикрия метода oauth под результат sessionid

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Tue, 21 Jan 2014 16:03:06 +0400

python-blackbox (0.44) unstable; urgency=low

  [ Chaporgin Anton ]
  * Добавил поле language в ЧЯ WIKI-5515

  [ Kirill Sibirev ]
  * Убрал автоопределние версии из debian/changelog.

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 30 Sep 2013 14:12:09 +0400

python-blackbox (0.43) unstable; urgency=low

  * URLS для Беты (environment.name == 'beta')

 -- Leonid Shvechikov <shvechikov@yandex-team.ru>  Thu, 14 Feb 2013 16:35:40 +0400

python-blackbox (0.42) unstable; urgency=low

  * Выбор урлов для окружения с помощью yenv.choose_*

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 30 Aug 2012 01:29:49 +0400

python-blackbox (0.41) unstable; urgency=low

  * [dpantele@] Добавление информации о сессии в ответ

 -- Dmitry Kovega <arhibot@yandex-team.ru>  Mon, 25 Jun 2012 16:19:10 +0400

python-blackbox (0.40) unstable; urgency=low

  * COMMONPY-153 Поддержка login_status и password_status

 -- Konstantin Merenkov <kmerenkov@yandex-team.ru>  Mon, 28 May 2012 12:56:52 +0400

python-blackbox (0.39) unstable; urgency=low

  * COMMONPY-152 Поддержка bruteforce_policy

 -- Konstantin Merenkov <kmerenkov@yandex-team.ru>  Fri, 25 May 2012 13:02:24 +0400

python-blackbox (0.38) unstable; urgency=low

  * Более гибкая настройка таймаутов и ретраев

 -- Leonid Shvechikov <shvechikov@yandex-team.ru>  Sat, 12 May 2012 14:00:17 +0400

python-blackbox (0.37) unstable; urgency=low

  * Добавил настройки для нагрузочного тестирования

 -- Leonid Shvechikov <shvechikov@yandex-team.ru>  Mon, 12 Mar 2012 20:07:39 +0400

python-blackbox (0.36) unstable; urgency=low

  * Добавил настройки для окружения model143 в мапинг урлов

 -- Konstantin Merenkov <kmerenkov@yandex-team.ru>  Tue, 06 Dec 2011 15:03:37 +0400

python-blackbox (0.35) unstable; urgency=low

  * Показывать DeprecationWarning манкипатчерам.

 -- Leonid Shvechikov <shvechikov@yandex-team.ru>  Mon, 07 Nov 2011 20:52:48 +0400

python-blackbox (0.34) unstable; urgency=low

  * Балковый запрос userinfo по uid.

 -- Leonid Shvechikov <shvechikov@yandex-team.ru>  Thu, 18 Aug 2011 14:58:11 +0400

python-blackbox (0.33) unstable; urgency=low

  * Новый класс JsonBlackbox, работающий через JSON-API.

 -- Leonid Shvechikov <shvechikov@yandex-team.ru>  Wed, 17 Aug 2011 15:45:41 +0400

python-blackbox (0.32) unstable; urgency=low

  * Метод для получения страны регистрации пользователя

 -- Morozova Anastasia (developer) <scullyx13@yandex-team.ru>  Thu, 04 Aug 2011 20:13:46 +0400

python-blackbox (0.31) unstable; urgency=low

  * Функция _check_login_rule добавлена в слой совместимости

 -- Dmitry Kovega <arhibot@yandex-team.ru>  Fri, 24 Jun 2011 17:19:47 +0400

python-blackbox (0.30) unstable; urgency=low

  * Опечатка list_emailss

 -- Dmitry Kovega <arhibot@yandex-team.ru>  Fri, 24 Jun 2011 16:42:15 +0400

python-blackbox (0.29) unstable; urgency=low

  * В тестинге тестовый ЧЯ - blackbox-mimino
  * В продакшене в /etc/yandex/environment.type - пишется production, а не
    stable

 -- Morozova Anastasia (developer) <scullyx13@yandex-team.ru>  Fri, 24 Jun 2011 16:12:19 +0400

python-blackbox (0.28) unstable; urgency=low

  * Класс Blackbox

 -- Dmitry Kovega <arhibot@yandex-team.ru>  Wed, 22 Jun 2011 20:36:49 +0400

python-blackbox (0.27) unstable; urgency=low

  * fix для subscription & sex в случае не несуществующего uid

 -- Morozova Anastasia (developer) <scullyx13@yandex-team.ru>  Fri, 17 Jun 2011 18:57:29 +0400

python-blackbox (0.26) unstable; urgency=low

  * Поддержка вызова oauth

 -- Konstantin Merenkov <kmerenkov@yandex-team.ru>  Wed, 01 Jun 2011 20:30:47 +0400

python-blackbox (0.25) unstable; urgency=low

  * Правильная обработка не-ascii симовлов в параметрах

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 01 Jun 2011 16:32:00 +0400

python-blackbox (0.24) unstable; urgency=low

  * Поддержка соц. пользователей

 -- Dmitry Kovega <arhibot@yandex-team.ru>  Wed, 18 May 2011 20:14:00 +0400

python-blackbox (0.23) unstable; urgency=low

  * Переход с urllib2 на httplib.
  * Теперь метод login отправляет POST-запросы (как рекомендовано в доках
    к чёрному ящику), а не GET.
  * COMMONPY-110: неправильные HTTP-коды и Content-Type теперь перехватываются
    и на них бросается BlackboxError.
  * COMMONPY-113: реализован таймаут при установке TCP-соединения.
  * Добавлены тесты.

 -- Vasiliy Faronov <vfaronov@yandex-team.ru>  Thu, 21 Apr 2011 18:46:02 +0400

python-blackbox (0.22) unstable; urgency=low

  * Теперь метод is_email_valid действительно возвращает валидность почтового
    адреса, вместо того, чтобы всегда говорить True, даже если данный адрес
    был отправлен на валидацию, но валидацию не прошёл.

 -- Andrey Sibiryov <kobolog@yandex-team.ru>  Fri, 01 Apr 2011 20:22:37 +0400

python-blackbox (0.21) unstable; urgency=low

  * COMMONPY-106: Отдаем домен для пользователей Пдд; принимаем **kw в uid.

 -- Pavel Anossov <anossov@yandex-team.ru>  Wed, 16 Mar 2011 17:07:30 +0300

python-blackbox (0.20) unstable; urgency=low

  * 'Notive' typo fix

 -- Alexander Shvedunov <ashvedunov@yandex-team.ru>  Thu, 20 Jan 2011 11:30:38 +0300

python-blackbox (0.19) unstable; urgency=low

  * Боевой блекбокс в тестинге

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 01 Dec 2010 20:19:34 +0300

python-blackbox (0.18) unstable; urgency=low

  * новая фича: парсинг address-list элемента в ответе от blackbox;
    список адресов в поле email, дефолтный, если есть, в default_email

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 24 Nov 2010 21:01:04 +0300

python-blackbox (0.17) unstable; urgency=low

  * константа FIELD_EMAIL для паспортной базы

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 25 Oct 2010 14:28:08 +0400

python-blackbox (0.16) unstable; urgency=low

  * Убрал из зависимостей python-elementree, python >= 2.4

 -- Valentin Gologuzov (vgol) <vgol@yandex-team.ru>  Wed, 14 Jul 2010 18:20:56 +0400

python-blackbox (0.15) jaunty; urgency=low

  * fixed missing age error

 -- Ilya Novoselov <nullie@yandex-team.ru>  Mon, 28 Jun 2010 17:23:45 +0400

python-blackbox (0.14) unstable; urgency=low

  * Исправлена работа с аттрибутом age

 -- Ilya Novoselov <nullie@yandex-team.ru>  Mon, 28 Jun 2010 13:24:46 +0400

python-blackbox (0.13) unstable; urgency=low

  * Дополнительные функции для проверки "легких" пользователей

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 21 Jun 2010 01:23:30 +0400

python-blackbox (0.12) unstable; urgency=low

  * Поддержка "легких" пользователей -- light_uid

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 18 Jun 2010 16:44:39 +0400

python-blackbox (0.11) unstable; urgency=low

  * добавлен метод получения пола пользователя по uid

 -- Morozova Anastasia (developer) <scullyx13@yandex-team.ru>  Wed, 16 Jun 2010 20:03:18 +0400

python-blackbox (0.10) unstable; urgency=low

  * получение списка емейлов и проверка провалидированности емейла

 -- theigel <theigel@yandex-team.ru>  Wed, 09 Jun 2010 20:37:22 +0400

python-blackbox (0.9) unstable; urgency=low

  * odict который пиклится
  * переход на cdbs

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Tue, 01 Jun 2010 20:25:53 +0400

python-blackbox (0.8) unstable; urgency=low

  * в методе subscription не падаем если поле fields пустой dict

 -- Morozova Anastasia (developer) <scullyx13@yandex-team.ru>  Wed, 12 May 2010 15:36:16 +0400

python-blackbox (0.7) unstable; urgency=low

  * COMMONPY-80: мелкие правки

 -- Morozova Anastasia (developer) <scullyx13@yandex-team.ru>  Tue, 11 May 2010 16:53:32 +0400

python-blackbox (0.6) unstable; urgency=low

  * COMMONPY-80: добавлено 2 метода uid, subscription
  * + yutil >= 1.4

 -- Morozova Anastasia (developer) <scullyx13@yandex-team.ru>  Tue, 11 May 2010 15:27:37 +0400

python-blackbox (0.5-3) unstable; urgency=low

  * Починил проблему с передачей параметра userip в виде IPv6.

 -- Alexander Artemenko <art@yandex-team.ru>  Wed, 30 Dec 2009 15:06:40 +0300

python-blackbox (0.5-2) unstable; urgency=low

  * Добавил поле для проверки подписок
  * В прошлый раз за-dupload-ил не туда :)

 -- theigel <theigel@yandex-team.ru>  Thu, 08 Oct 2009 20:31:44 +0400

python-blackbox (0.5-1) unstable; urgency=low

  * Добавлена карма

 -- theigel <theigel@yandex-team.ru>  Tue, 29 Sep 2009 15:33:04 +0400

python-blackbox (0.4-3) unstable; urgency=low

  * pyversions для python 2.4+
  * зависимости python'а, совметимые с python2.3 по дефолту

 -- Ivan Sagalaev <isagalaev@yandex-team.ru>  Fri, 24 Oct 2008 18:26:47 +0400

python-blackbox (0.4-2) unstable; urgency=low

  * Правильная версия в setup.py

 -- Vladimir Epifanov <voldmar@yandex-team.ru>  Mon, 29 Sep 2008 16:40:35 +0400

python-blackbox (0.4-1) unstable; urgency=low

  * исправления в пакетных зависимостях

 -- Yuriy Petrov <ypetrov@yandex-team.ru>  Fri, 16 May 2008 16:18:55 +0400

python-blackbox (0.4) unstable; urgency=low

  * userinfo теперь может принимать login вместо uid.
  * пакет не зависит от установленных версий питона

 -- Yuriy Petrov <ypetrov@yandex-team.ru>  Fri, 16 May 2008 15:09:11 +0400

python-blackbox (0.3) unstable; urgency=low

  * Добавлена посылка в ЧЯ параметра method={sessionid, login, userinfo}
  * sessionid() теперь принимает keyword parameters (для поддержки "optimize")
  * Доработан импорт elementtree, теперь модуль можно использовать в python2.5
  * Для полноты добавлен метод userinfo

 -- Ivan Chelubeev <ijon@yandex-team.ru>  Wed, 12 Dec 2007 16:09:42 +0300

python-blackbox (0.2) unstable; urgency=low

  [ Andrey Tatarinov ]
  * алиасы для полей паспорта

  [ Ivan Chelubeev ]
  * Rebuilt to upload into pythonbp repository

 -- Ivan Chelubeev <ijon@yandex-team.ru>  Mon,  8 Oct 2007 19:08:19 +0400

python-blackbox (0.1) unstable; urgency=low

  * Initial Release.

 -- Ivan Chelubeev <ijon@yandex-team.ru>  Mon,  6 Aug 2007 20:18:23 +0400
